import { Route, Routes, Link } from "react-router-dom";
import LayoutPublic from "./components/LayoutPublic";
import './App.css';
import HomePage from "./components/public-pages/HomePage";
import CategoryOnePage from "./components/public-pages/CategoryOnePage";
import { CssBaseline } from "@mui/material";
import ProductOnePage from "./components/public-pages/ProductOnePage";
import LoginPage from "./components/public-pages/LoginPage"
import ProfilePage from "./components/public-pages/ProfilePage";




function App() {
  return (
    <>
    <CssBaseline />
      <Routes>
        <Route path='*' element={<LayoutPublic />}>
          <Route index element={<HomePage/>}/>
          <Route path='*' element={<p>Страница не найдена</p>}/>
          <Route path="about" element={<p>о магазине</p>}/>
          <Route path="category/:catId/*" element={<CategoryOnePage/>}/>
          <Route path="product/:prodId/*" element={<ProductOnePage/>}/>
          <Route path="login" element={<LoginPage/>}/>
          <Route path="profile" element={<ProfilePage/>}/>
        </Route>
        <Route path='admin/*' element={<p>дашборд</p>}>

        </Route>
      </Routes>
    </>
  );
}


export default App;


{/* <>
<Link to={"/"}>Home</Link>
<Link to={"admin"}>Admin</Link>
<Link to={"about"}>About</Link>

<Routes>
  <Route path='/'>
    <Route index element={<p>домашняя станица</p>} />
    <Route path="*" element={<LayoutPublic />}>
      <Route path="about" element={<p>о магазине</p>}/>
    </Route>
    <Route path='admin'>
      <Route index element={<p>дашборд</p>} />
    </Route>
  </Route>
</Routes>
</> */}