import { Link, useParams } from "react-router-dom"
import CategoryOneMenu from "../CategoryOneMenu"
import { useState, useEffect } from "react"
import CategoryOneBreadcrumbs from "../CategoryOneBreadcrumbs"
import { useGetCategoriesQuery, useGetCategoryQuery } from "../../store/categoriesApi"
import CardProduct from "../CardProduct"
import { Grid } from "@mui/material"


const CategoryOnePage = () => {

    let {catId} = useParams()

    const {data: payload = null, isLoading} = useGetCategoryQuery(catId)
    console.log(isLoading)
    const category = payload ? Object.values(payload)[0] : null

    const CardProductRender = (product) => (
        <CardProduct
            key={product._id}
            product={product}
        />
    )

    return (
        isLoading ? <div> прелоадер </div> :
        <Grid container spacing={2} alignItems="stretch" >
            <Grid item xs={12} sm={4} md={3} align-self="stretch">
                <CategoryOneMenu category={category?.subCategories} />
            </Grid>
            <Grid item xs={12} sm={8} md={9} container spacing={2} >
                <CategoryOneBreadcrumbs parentCategory={category?.parent} thisCategory={category} />
                {category?.goods && category.goods.map(CardProductRender)}
            </Grid>
        </Grid>
    )
}

export default CategoryOnePage