import { createSlice } from "@reduxjs/toolkit";

const initialState = {}

const cartSlice = createSlice({
    name: 'cart',
    initialState,
    reducers: {
        CartAdd(state, action) {
            const {product, count=1} = action.payload
            if (product._id in state) {
                state[product._id].count += count
            } else {
            state[product._id] = {product, count}
            }
        },
        CartIncOne(state, action) {
            const { product, count = 1 } = action.payload
            if (product._id in state) {
                if ((state[product._id].count - count) <= 0) {
                    delete state[product._id]
                } else {
                    state[product._id].count -= count
                }
            }
        },
        CartDel(state, action) {
            const { product, count = 1 } = action.payload
            if (product._id in state) {
                delete state[product._id]
            }
          },
        
         CartSet(state, action) {
            const { product, count = 1 } = action.payload
            if (product._id in state && count <= 0) {
                delete state[product._id]
            } else {
                state[product._id].count = count
            }
        },
        CartClear() { 
            return initialState
        }
    }

})

export const {CartAdd, CartIncOne, CartDel, CartSet, CartClear} = cartSlice.actions

export default cartSlice.reducer